import { pathToRoot } from "../util/path"
import { QuartzComponent, QuartzComponentConstructor, QuartzComponentProps } from "./types"
import { classNames } from "../util/lang"
import { i18n } from "../i18n"

const PageImage: QuartzComponent = ({ fileData, cfg, displayClass }: QuartzComponentProps) => {
  const title = cfg?.pageTitle ?? i18n(cfg.locale).propertyDefaults.title
  const baseDir = pathToRoot(fileData.slug!)
  return (
    <a href={baseDir}><img src="https://f003.backblazeb2.com/file/nexie-net/profileimage.webp" style="width:100px; height:100px"/></a>
  )
}

PageImage.css = `
.page-title {
  margin: 0;
}
`

export default (() => PageImage) satisfies QuartzComponentConstructor
